import { Logger } from "../../libs/logger";
import { Element } from "../element.interface";
import { InstallProps } from "./install.props";
export default class Install implements Element {
    title?: string;
    packages: string[];
    logger?: Logger;
    init(props?: InstallProps): Promise<void>;
    exec(): Promise<boolean>;
    dispose(): void;
}
